#
# Conditional build:
%bcond_without	doc	# Documentation

%define		orgname		qtcoap
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 Coap library
Summary(pl.UTF-8):	Biblioteka Qt5 Coap
Name:		qt5-%{orgname}
Version:	5.15.16
Release:	1
License:	GPL v3+ or commercial
Group:		Libraries
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	824385fd60bba699d9d05bdbb4c2e340
URL:		https://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Network-devel >= %{qtbase_ver}
%if %{with doc}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 Coap library.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera bibliotekę Qt5 Coap.

%package -n Qt5Coap
Summary:	The Qt5 Coap library
Summary(pl.UTF-8):	Biblioteka Qt5 Coap
Group:		Libraries
%requires_eq_to	Qt5Core Qt5Core-devel
Requires:	Qt5Network >= %{qtbase_ver}

%description -n Qt5Coap
Qt Coap module contains a library that supports the CoAP protocol.
CoAP is a protocol for IoT devices and machine to machine
communication.

%description -n Qt5Coap -l pl.UTF-8
Moduł Qt Coap zawiera bibliotekę obsługującą protokół CoAP. Jest to
protokół dla urządzeń IoT oraz do komunikacji między maszynami.

%package -n Qt5Coap-devel
Summary:	Qt5 Coap library - development files
Summary(pl.UTF-8):	Biblioteka Qt5 Coap - pliki programistyczne
Group:		Development/Libraries
Requires:	Qt5Coap = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qtbase_ver}
Requires:	Qt5Network-devel >= %{qtbase_ver}

%description -n Qt5Coap-devel
Qt5 Coap library - development files.

%description -n Qt5Coap-devel -l pl.UTF-8
Biblioteka Qt5 Coap - pliki programistyczne.

%package doc
Summary:	Qt5 Coap documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 Coap w formacie HTML
License:	FDL v1.3
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc
Qt5 Coap documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do biblioteki Qt5 Coap w formacie HTML.

%package doc-qch
Summary:	Qt5 Coap documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 Coap w formacie QCH
License:	FDL v1.3
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc-qch
Qt5 Coap documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do biblioteki Qt5 Coap w formacie QCH.

%package examples
Summary:	Qt5 Coap examples
Summary(pl.UTF-8):	Przykłady do biblioteki Qt5 Coap
License:	BSD or commercial
Group:		Development/Libraries
BuildArch:	noarch

%description examples
Qt5 Coap examples.

%description examples -l pl.UTF-8
Przykłady do biblioteki Qt5 Coap.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%endif

# useless symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.so.5.??
# actually drop *.la, follow policy of not packaging them when *.pc exist
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.la

# Prepare some files list
ifecho() {
	r="$RPM_BUILD_ROOT$2"
	if [ -d "$r" ]; then
		echo "%%dir $2" >> $1.files
	elif [ -x "$r" ] ; then
		echo "%%attr(755,root,root) $2" >> $1.files
	elif [ -f "$r" ]; then
		echo "$2" >> $1.files
	else
		echo "Error generation $1 files list!"
		echo "$r: no such file or directory!"
		return 1
	fi
}
ifecho_tree() {
	ifecho $1 $2
	for f in `find $RPM_BUILD_ROOT$2 -printf "%%P "`; do
		ifecho $1 $2/$f
	done
}

echo "%defattr(644,root,root,755)" > examples.files
ifecho_tree examples %{_examplesdir}/qt5/coap

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n Qt5Coap -p /sbin/ldconfig
%postun	-n Qt5Coap -p /sbin/ldconfig

%files -n Qt5Coap
%defattr(644,root,root,755)
%doc README.md dist/changes-*
# R: Qt5Core Qt5Network
%attr(755,root,root) %{_libdir}/libQt5Coap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libQt5Coap.so.5

%files -n Qt5Coap-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQt5Coap.so
%{_libdir}/libQt5Coap.prl
%{_includedir}/qt5/QtCoap
%{_pkgconfigdir}/Qt5Coap.pc
%{_libdir}/cmake/Qt5Coap
%{qt5dir}/mkspecs/modules/qt_lib_coap.pri
%{qt5dir}/mkspecs/modules/qt_lib_coap_private.pri

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtcoap

%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtcoap.qch
%endif

%files examples -f examples.files
%defattr(644,root,root,755)
# XXX: dir shared with qt5-qtbase-examples
%dir %{_examplesdir}/qt5
%changelog
* Mon Nov 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtcoap.git;a=log;h=master

* Mon Nov 18 2024 Jan Palus <atler@pld-linux.org> 0a55f9c
- up to 5.15.16

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> 58a6d75
- up to 5.15.15

* Sun May 26 2024 Jan Palus <atler@pld-linux.org> bf0d605
- up to 5.15.14

* Sat Mar 09 2024 Jan Palus <atler@pld-linux.org> d6348db
- up to 5.15.13

* Fri Dec 22 2023 Jan Palus <atler@pld-linux.org> c0baa82
- up to 5.15.12

* Thu Oct 05 2023 Jan Palus <atler@pld-linux.org> ca8ee18
- up to 5.15.11

* Mon Jul 10 2023 Jan Palus <atler@pld-linux.org> 7c40288
- R: same Qt5Core version as during build time

* Wed Jun 07 2023 Jan Palus <atler@pld-linux.org> 7c399e8
- up to 5.15.10

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 5434586
- updated to 5.15.9

* Wed Jan 04 2023 Jan Palus <atler@pld-linux.org> 49b4b2b
- up to 5.15.8

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> 324ac39
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 00a27f7
- up to 5.15.6

* Wed Jun 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 1fddda6
- new

